// dead code
class C {
    public static void main(String[] args) {
	String s = null;
	foo(s);        
    }
    static void foo(String t) {
	if (t != null) {
	    t.toString(); // this is dead code
	}
	else {
	    // whatever...
	}
    }
}
